<?php
 // $Id: power_menu.admin.inc,v 1.3 2010/05/19 19:34:48 rapsli Exp $

/**
 * @file
 * This contains all the admin stuff of the module
 */

/**
 * Callback function for the admin form
 */
function power_menu_admin_form() {
  
  $form['power_menu_menu'] = array(
    '#type' => 'select',
    '#options' => $menus,
    '#title' => t('Power Menu'),
    '#default_value' => variable_get('power_menu_menu', ''),
    '#description' => t('Choose the menu which should be your power menu'),
  );
  
  if (module_exists('taxonomy')) {
    $vocabs = taxonomy_get_vocabularies();
    
    if (count($vocabs) > 0) {
      foreach ($vocabs as $vocab) {
        $ar_vocabs[$vocab->vid] = $vocab->name;
      }
      
      $form['power_menu_taxonomy_navigation'] = array(
        '#type' => 'select',
        '#options' => $ar_vocabs,
        '#title' => t('Navigation Taxonomy'),
        '#default_value' => variable_get('power_menu_taxonomy_navigation', ''),
        '#description' => t('Choose the taxonomy which is going to reflect the structure of your menu. It gives you the option to create taxonomy terms from your menu.'),
      );
    }
    else {
      drupal_set_message(t("You have not set up any vocabulary."));
    }
  }
  else {
    drupal_set_message(t("You don't have the taxonomy enabled. There is nothing to configure."));
  }
  
  return system_settings_form($form);
}
